Downgraded from 4.0 to 3.1.2 - modem firmware issue

Discussion in 'Jailbreaks and iOS Hacks' started by Errk!, Jul 22, 2010.

  1. Errk! macrumors 6502

    Joined:
    Mar 6, 2006
    #1
    I've got a 16GB 3G that was running os 4.0. I downgraded to 3.1.2 using the downgrade guide on Lifehacker and then ran blackra1n and blacksn0w.

    I'm a jailbreak/unlock n00b so I didn't know/understand of the modem firmware issues, and I've now got a 3.1.2 device unlocked but with 5.13 modem firmware.

    I'm trying to find what options, if any, I have for downgrading to 5.12 or earlier but am still confused on whether or not it's possible at all and if so how to do it.

    So is it possible? And if so, what do I do?
     
  2. Applejuiced macrumors Westmere

    Applejuiced

    Joined:
    Apr 16, 2008
    Location:
    At the iPhone hacks section.
    #2
    If you been to official 4.0 and you went back down to 3.1.2 your baseband has been updated.
    So you will need to unlock with ultrasnow thru cydia.
    Not with blacksnow, dont even try it cause it will lock up your phone and you'd need a restore again. Blacksnow was only for 05.11.07 original baseband on 3.1.2
    So if you want to use blackrain to JB and then install cydia and then install ultrasnow from cydia.
    Thats it.
     
  3. Errk! thread starter macrumors 6502

    Joined:
    Mar 6, 2006
    #3
    Thanks.

    I'm trying to do this but cannot add the source repo666.ultrasn0w.com; it says it cannot be found. That is the source listed on the dev page - is there another source?
     
  4. dhlizard macrumors G4

    dhlizard

    Joined:
    Mar 16, 2009
    Location:
    The Jailbreak Community
    #4
    Somebody else on DevTeam blog complained repo cannot be found, must be offline temporarily. Try again later.
     
  5. Errk! thread starter macrumors 6502

    Joined:
    Mar 6, 2006
    #5
    Thanks.
     
  6. Errk! thread starter macrumors 6502

    Joined:
    Mar 6, 2006
    #6
    Repo is back up so I added the source and installed ultrasn0w, seemingly with no problems.

    However, after reboot I am still running 05.13.04.

    Might there be something I am missing? I looked and didn't see anything as far as options. Does installing ultrasn0w perform the baseband downgrade, or is there another step I'm missing?
     
  7. nebo1ss macrumors 68030

    Joined:
    Jun 2, 2010
    #7
    Ultrasn0W unlocks the baseband it does not downgrade it. There is no reason to downgrade it.
     
  8. Errk! thread starter macrumors 6502

    Joined:
    Mar 6, 2006
    #8
    I see - thanks. Is there any way to check that it worked without actually putting a SIM in it?
     
  9. Applejuiced macrumors Westmere

    Applejuiced

    Joined:
    Apr 16, 2008
    Location:
    At the iPhone hacks section.
    #9
    If you installed ultrasnow and it shows up on cydia/manage/packages then it worked.
    Your iphone is now unlocked and can be used with any sim.
     
  10. sths-gr macrumors member

    sths-gr

    Joined:
    Apr 10, 2009
    Location:
    IMF-bound Greece
    #10
    hi. i'm trying to unlock a friend's iphone which was upgraded to 05.13.04 and 4.0. i jailbreaked with redsnow and then with spirit but can't unlock it because i don;t have the 'original' sim.. any ideas??
     
  11. TMar macrumors 68000

    TMar

    Joined:
    Jul 20, 2008
    Location:
    Ky
    #11
    You can't JB with redsn0w and Spirit. You need to hacktivate it.
     
  12. sths-gr macrumors member

    sths-gr

    Joined:
    Apr 10, 2009
    Location:
    IMF-bound Greece
    #12
    i downgraded to 3.1.2 the problem is with the baseband as i cannot join my network(the wifi isn't working) in order to use ultrasnow. am i missing smth?
     
  13. labman macrumors 604

    labman

    Joined:
    Jun 9, 2009
    Location:
    Mich near Detroit
    #13
    repo666.ultrasn0w.org is there back up repo musclenerd said to use that for now via twitter
     
  14. darngooddesign macrumors G3

    Joined:
    Jul 4, 2007
    Location:
    Atlanta, GA
    #14
    You can not downgrade the modem firmware.

    If you think you found a way all you have to do is look in your settings app for the modem firmware. If you are running one that is not unlockable it doesn't matter what you install on your phone, you can't unlock it.
     
  15. nebo1ss macrumors 68030

    Joined:
    Jun 2, 2010
    #15
    If i understand you correctly you have a successful JB but the WIFI on your phone is broken and you cannot connect to Cydia to unlock with ultrasn0w. There is a workaround you can use that does not require WIFI. Google CYDER it is a desktop manager to access Cydia from your pc.
     
  16. thelatinist macrumors 603

    thelatinist

    Joined:
    Aug 15, 2009
    Location:
    Connecticut, USA
    #16
    Redsn0w hacktivates the 3G if the correct options are checked.
     
  17. sths-gr macrumors member

    sths-gr

    Joined:
    Apr 10, 2009
    Location:
    IMF-bound Greece
    #17
    Thanks for your reply. That's right. Will try Cyder now and post results..

    Edit: I finally run ultrasnow 0.93(mobilesubstrate is required) and unlocked the carrier. The wifi is still not working. I suspect that it has to do with the combination of the jb firmware(3.1.2) and the modem firmware (5.13.04) but who knows..
     

Share This Page